Substy Developers
Analytics

Get creator sales script statistics

Read creator-wide sales-script totals and a searchable, sorted page of scripts over an optional date range. Daily figures use the employee timezone unless timezone is supplied. Pages default to 20 scripts; use page and pageSize with totalCount. Script statistics require an eligible subscription.

GET/v1/agencies/{agencyId}/creators/{creatorId}/script-statistics

Read creator-wide sales-script totals and a searchable, sorted page of scripts over an optional date range. Daily figures use the employee timezone unless timezone is supplied. Pages default to 20 scripts; use page and pageSize with totalCount. Script statistics require an eligible subscription.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

startDate?string

ISO 8601 timestamp including a timezone offset.

Formatdate-time
endDate?string

ISO 8601 timestamp including a timezone offset.

Formatdate-time
timezone?string
page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
Lengthlength <= 200
Default""
sortBy?string
Default"revenue"

Value in

  • "name"
  • "totalSent"
  • "totalPaid"
  • "unlockRate"
  • "revPerSend"
  • "revenue"
sortDirection?string
Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/script-statistics" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "page": 0,    "pageSize": 0,    "totalCount": 0,    "totalPaid": 0,    "totalRevenue": 0,    "unlockRate": 0,    "totalSent": 0,    "bestPerformingScript": null,    "topScripts": [      {        "id": "string",        "name": "string",        "totalSent": 0,        "totalPaid": 0,        "unlockRate": 0,        "revenue": 0      }    ],    "scripts": [      {        "id": "string",        "name": "string",        "totalSent": 0,        "totalPaid": 0,        "unlockRate": 0,        "revenue": 0      }    ],    "dailySeries": [      {        "date": "string",        "revenue": 0,        "sent": 0,        "paid": 0      }    ]  },  "meta": {    "requestId": "string"  }}